#
# spec file for package phonon-backend-vlc
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
Name:           phonon-backend-vlc
Version:        0.6.0
Release:        4.1
License:        LGPLv2.0+
Summary:        Phonon VLC Backend
Url:            http://phonon.kde.org/
Group:          Development/Libraries/KDE
Source0:        http://download.kde.org/stable/phonon/phonon-backend-vlc/%{version}/src/phonon-backend-vlc-%{version}.tar.xz
BuildRequires:  automoc4
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  kde4-filesystem
BuildRequires:  phonon-devel >= 4.6.0
BuildRequires:  pkgconfig
BuildRequires:  vlc-devel >= 1.1.1
BuildRequires:  xz
Requires:       libphonon4 >= 4.6.0
Requires:       vlc >= 1.1.1
Provides:       phonon-backend
Obsoletes:      phonon-vlc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%requires_ge    libqt4

%description
Phonon is a cross-platform portable Multimedia Support Abstraction,
which allows you to play multiple audio or video formats with the same
quality on all platforms, no matter which underlying architecture is
used.

This is the VLC backend for Phonon

%prep
%setup -q

%build
%cmake_kde4 -d build
%make_jobs

%install
cd build
%make_install

%files
%defattr(-,root,root)
%{_kde4_modulesdir}/plugins/phonon_backend/phonon_vlc.so
%{_kde4_servicesdir}/phononbackends/vlc.desktop

%changelog
* Sun Dec 18 2011 cs@linux-administrator.com
- re-import
